# class DOT::DOTSimpleElement

a root class for any element in dot notation

### Attributes

name[RW]

### Public Class Methods

new(params = {}) click to toggle source

    # File lib/puppet/external/dot.rb, line 121
    def initialize (params = {})
      @label = params['name'] ? params['name'] : ''
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/puppet/external/dot.rb, line 125
    def to_s
      @name
    end